/**
 * Copyright 2007 Ben Bucksch
 * BSD license
 */
package org.bucksch.httpserver;

public class HTTPException extends Exception
{
  public HTTPException(int errorCode, String message)
  {
    super(message);
    myErrorCode = errorCode;
  }
  public HTTPException(int errorCode, String message, String badData)
  {
    super(message);
    myErrorCode = errorCode;
    myBadData = badData;
  }
  public HTTPException(int errorCode, String message, Exception e)
  {
    super(message, e);
    myErrorCode = errorCode;
  }
  public int errorCode()
  {
    return myErrorCode;
  }
  public String badData()
  {
    return myBadData;
  }
  protected int myErrorCode;
  protected String myBadData = null;
  private static final long serialVersionUID = -6354197471327605409L;
}
